varWeights               package:nlme               R Documentation

Extract Variance Function Weights

Description:

     The inverse of the standard deviations corresponding to the
     variance function structure represented by 'object' are returned.

Usage:

     varWeights(object)

Arguments:

  object: an object inheriting from class 'varFunc', representing a
          variance function structure.

Value:

     if 'object' has a 'weights' attribute, its value is returned; else
     'NULL' is returned.

Author(s):

     Jose Pinheiro Jose.Pinheiro@pharma.novartis.com and Douglas Bates
     bates@stat.wisc.edu

See Also:

     'logLik.varFunc'

Examples:

     data(Orthodont)
     vf1 <- varPower(form=~age)
     vf1 <- Initialize(vf1, Orthodont)
     coef(vf1) <- 0.3
     varWeights(vf1)[1:10]

